Bug 249467 - [linuxlator] linux_memfd_create() not implemented
Summary: [linuxlator] linux_memfd_create() not implemented
Status: New
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 12.1-STABLE
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-19 22:51 UTC by Yuri Victorovich
Modified: 2020-09-22 20:34 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2020-09-19 22:51:53 UTC
The current PulseAudio master requires memfd_create(2), see https://man7.org/linux/man-pages/man2/memfd_create.2.html

>  12638 zoom     CALL  linux_memfd_create(0x8f4259b99,0x2)
>  12638 zoom     RET   linux_memfd_create -1 errno -38 Function not implemented

12.2-STABLE r365688
Comment 1 Alex S 2020-09-20 01:02:23 UTC
linux_memfd_create was commited in https://reviews.freebsd.org/rS362769. Not sure why it wasn't backported.


(In reply to Yuri Victorovich from comment #0)

> PulseAudio master requires memfd_create(2)

There is the `enable-memfd` configuration parameter, it doesn't look deprecated to me.
Comment 2 Kyle Evans freebsd_committer 2020-09-20 01:26:51 UTC
> Not sure why it wasn't backported.

I was unsure of the feasibility of backporting some parts of the file sealing due to possible KPI changes, so neither that nor shm_open2 have been backported.
Comment 3 Martin Filla 2020-09-22 20:34:20 UTC
(In reply to Kyle Evans from comment #2)
Thank you for implementation first syscall but 
sometimes i have issue with frezed application
kernel: linux: pid 41254 (gio): syscall inotify_init1 not implemented
kernel: linux: pid 41254 (gio): syscall inotify_init not implemented